## webkitgtk 2.4.11

=== debian/changelog ===
webkitgtk (2.4.11-3ubuntu3) bionic; urgency=medium

  * No-change rebuild for icu soname change.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 07 Nov 2017 08:56:07 +0000

webkitgtk (2.4.11-3ubuntu2) bionic; urgency=medium

  * Adjust symbols files to add leaked webkit_marshal_VOID__STRING.

 -- Adam Conrad <adconrad@ubuntu.com>  Sat, 28 Oct 2017 05:25:27 -0600

webkitgtk (2.4.11-3ubuntu1) bionic; urgency=medium

  * debian/patches/icu59.patch: Backport upstream fix for icu59 FTBFS.
  * debian/rules: Stop acting on dbg packages we don't build anymore.

 -- Adam Conrad <adconrad@ubuntu.com>  Fri, 27 Oct 2017 22:25:38 -0600

webkitgtk (2.4.11-3build1) bionic; urgency=medium

  * No-change rebuild for libicu soname change.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 25 Oct 2017 15:49:22 +0000

webkitgtk (2.4.11-3) unstable; urgency=medium

  [ Jeremy Bicha ]
  * debian/control:
    - Bump breaks/replaces for libwebkitgtk-doc split since Ubuntu
      packaged 2.4.11 before taking the split (Closes: #833308)

  [ Alberto Garcia ]
  * debian/rules:
    - Build with -fno-delete-null-pointer-checks. This prevents crashes
      with GCC 6.1.
      See https://bugzilla.redhat.com/show_bug.cgi?id=1320240.

 -- Alberto Garcia <berto@igalia.com>  Fri, 02 Sep 2016 11:18:33 +0300

webkitgtk (2.4.11-2) unstable; urgency=medium

  * debian/patches/fix-ftbfs-gcc6.patch:
    + Fix FTBFS with GCC 6 (Closes: #828198).
  * debian/patches/02_notebook_scroll.patch:
    + Add missing tags to this patch.
  * debian/control:
    + Bump Standards-Version to 3.9.8; no changes needed.

 -- Alberto Garcia <berto@igalia.com>  Sun, 26 Jun 2016 20:40:21 +0300

webkitgtk (2.4.11-1) unstable; urgency=medium

  * New upstream release.
  * debian/patches/fix-arm64-build.patch:
    + Remove, this has been fixed upstream.
  * debian/patches/fix-ftbfs-m68k.patch:
    + Refresh.
  * debian/{control,rules}:
    + Build depend on libegl1-mesa-dev and libgles2-mesa-dev on arm64.

 -- Alberto Garcia <berto@igalia.com>  Sun, 10 Apr 2016 20:19:20 +0300

webkitgtk (2.4.10-1) unstable; urgency=high

  * New upstream release.
    + This contains the following security fixes: CVE-2015-1120,
      CVE-2015-1076, CVE-2015-1071, CVE-2015-1081, CVE-2015-1122,
      CVE-2015-1155, CVE-2014-1748, CVE-2015-3752, CVE-2015-5809,
      CVE-2015-5928, CVE-2015-3749, CVE-2015-3659, CVE-2015-3748,
      CVE-2015-3743, CVE-2015-3731, CVE-2015-3745, CVE-2015-5822,
      CVE-2015-3658, CVE-2015-3741, CVE-2015-3727, CVE-2015-5801,
      CVE-2015-5788, CVE-2015-3747, CVE-2015-5794, CVE-2015-1127,
      CVE-2015-1153, CVE-2015-1083.
  * debian/patches/fix-cloop.patch,
    debian/patches/fix-gtkdoc-error.patch,
    debian/patches/ppc64-align.patch,
    debian/patches/use-abi64-for-mips64el.patch:
    + Delete these patches, they are no longer needed.
  * debian/patches/atomic_build_fix.patch,
    debian/patches/x32_support.patch:
    + Refresh.
  * debian/patches/fix-ftbfs-m68k.patch:
    + Fix FTBFS in m68k (Closes: #696236).
  * debian/control:
    + Bump Standards-Version to 3.9.7; no changes needed.
    + Use secure URIs for the Vcs-* fields.
  * debian/rules:
    + Enable all hardening flags.
    + Remove EXTRA_DH_ARGUMENTS, this is no longer being used.
  * debian/copyright:
    + Update copyright years.
  * debian/source/lintian-overrides:
    + Update overrides so the latest lintian doesn't give more
      source-is-missing false positives.
  * Remove the libwebkitgtk-*common* and libwebkit-dev packages:
    + debian/control:
      - Remove package entries and add Breaks and Replaces fields to
        libwebkitgtk-{1,3}.0-0 and libwebkitgtk*-dev.
    + debian/libwebkitgtk-*common*.install:
      - Remove and move all files to libwebkitgtk-{1,3}.0-0.install and
        libwebkitgtk-3.0-dev.install.
    + debian/rules:
      - Remove dh_install rules from binary-indep.
  * Move documentation to a separate libwebkitgtk-doc package:
    + debian/libwebkitgtk-3.0-dev.{install,links},
      debian/libwebkitgtk-dev.{install,links},
      debian/libwebkitgtk-doc.{install,links}:
      debian/rules:
      - Don't install the documentation in the -dev packages and do it in
        libwebkitgtk-doc instead.
    + debian/libwebkitgtk-doc.doc-base:
      - Add doc-base control file.
    + debian/control:
      - Add package entry.
  * Migrate to automatic -dbgsym packages:
    + debian/control:
      - Remove the entries for all -dbg packages.
    + debian/rules:
      - Replace --dbg-package with --ddeb-migration in dh_strip, but don't
        make it fail if debhelper < 9.20151219.

 -- Alberto Garcia <berto@igalia.com>  Thu, 17 Mar 2016 10:15:29 +0200

webkitgtk (2.4.9-3) unstable; urgency=medium

  * debian/patches/disable-jit-nonsse2.patch:
    + Disable JIT on x86 CPUs without SSE2 (Closes: #783293).
  * debian/patches/fix-cloop.patch:
    + Refresh.
  * debian/source/lintian-overrides:
    + lintian gives false positives with many of the javascript files in
      the source tarball, thinking that they are minified (see #798900).
  * Remove the webkit2 packages completely:
    + debian/control:
      - Remove entries for gir1.2-webkit2-3.0 and libwebkit2gtk-*
    + debian/rules:
      - Remove the ENABLE_WEBKIT2 variable and all references to the
        webkit2 packages.
    + debian/gir1.2-webkit2-3.0.install,
      debian/libwebkit2gtk-3.0-25.{install,symbols},
      debian/libwebkit2gtk-3.0-dev.{install,links}:
      - Remove these files.
  * debian/copyright:
    + Update copyright years.
  * debian/rules:
    + Build with -DNDEBUG and -DG_DISABLE_CAST_CHECKS.
    + The size of the webkitgtk -dbg packages is huge and has been a
      source of headaches in many architectures that cannot build them or
      deal with them easily. Our current approach has been to disable them
      completely for those architectures. For this release we'll build
      them again but using -g1 instead, which produces _way_ smaller files

