=== debian/watch ===
version=3
http://webkitgtk.org/releases/ webkitgtk-(2\.4\.[\d]+).tar.xz
